/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.transport.activeio;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

import org.activemq.transport.TransportChannelTestSupport;

/**
 * @version $Revision: 1.1.1.1 $
 */
public class ActiveIOTransportChannelTest extends TransportChannelTestSupport {

    protected static int port = 61617;

    public static void main(String[] args) {
        TestRunner.run(ActiveIOTransportChannelTest.class);
    }

    protected void setUp() throws Exception {
        createSenderAndServer(getURLBase() + port++);
        super.setUp();
    }

    protected void tearDown() throws Exception {
        super.tearDown();
    }
    
    protected String getURLBase() {
        return "activeio:socket://localhost:";
    }
    
    public static class VMPipeActiveIOTransportChannelTest extends ActiveIOTransportChannelTest {
        protected String getURLBase() {
            return "activeio:vmpipe://localhost";
        }       
    }
    public static class NIOActiveIOTransportChannelTest extends ActiveIOTransportChannelTest {
        protected String getURLBase() {
            return "activeio:nio://localhost:";
        }       
    }
    
    public static Test suite() { 
        TestSuite suite= new TestSuite(); 
        suite.addTestSuite(ActiveIOTransportChannelTest.class); 
        suite.addTestSuite(VMPipeActiveIOTransportChannelTest.class); 
        suite.addTestSuite(NIOActiveIOTransportChannelTest.class); 
        return suite;
    }
    
    
}